﻿window.RESULT4D_APP = window.RESULT4D_APP || {};

$(function() {
    // Uncomment the line below to disable platform-specific look and feel and to use the Generic theme for all devices
    // DevExpress.devices.current({ platform: "generic" });
    // To customize the Generic theme, use the DevExtreme Theme Builder (http://js.devexpress.com/ThemeBuilder)
    // For details on how to use themes and the Theme Builder, refer to the http://js.devexpress.com/Documentation/Guide/#themes article

    $(document).on("deviceready", function () {

        navigator.splashscreen.hide();
        if(window.devextremeaddon) {
            window.devextremeaddon.setup();
        }
        $(document).on("backbutton", function () {
            DevExpress.processHardwareBackButton();
        });
    });

    function onNavigatingBack(e) {
        if (e.isHardwareButton && !RESULT4D_APP.app.canBack()) {
            e.cancel = true;
            //exitApp();
        }
    }

    function findController(name, controllers) {
        var result = $.grep(controllers, function (item, index) {
            return item.controller.name == name;
        });
        return result.length ? result[0].controller : null;
    }

    function exitApp() {
        switch (DevExpress.devices.real().platform) {
            case "android":
                navigator.app.exitApp();
                break;
            case "win":
                window.external.Notify("DevExpress.ExitApp");
                break;
        }
    }

    var layoutSet = [];
    layoutSet.push.apply(layoutSet, DevExpress.framework.html.layoutSets[RESULT4D_APP.config.layoutSet]);

    RESULT4D_APP.app = new DevExpress.framework.html.HtmlApplication({
        namespace: RESULT4D_APP,
        layoutSet: layoutSet,
        navigation: RESULT4D_APP.config.navigation,
        commandMapping: RESULT4D_APP.config.commandMapping,
        disableViewCache: true
    });

    //RESULT4D_APP.app.webservice = "http://localhost:7043/WebService.asmx/";

    RESULT4D_APP.app.on("initialized", function () {
        RESULT4D_APP.app.webname = "Hasil Lengkap";
        RESULT4D_APP.app.keyid = "2FABD92B72AE";
        RESULT4D_APP.app.webservice = "http://admpt.hasiltogellengkap.com/WebService.asmx/";
        RESULT4D_APP.app.andver = "1.0.1";

    });

    RESULT4D_APP.app.router.register(":view/:id", { view: "angkakeluar", id: undefined });
    RESULT4D_APP.app.on("navigatingBack", onNavigatingBack);

    RESULT4D_APP.app.parseReceivedParameters = function (params) {
        for (var prop in params) {
            if (params[prop] == '_')
                params[prop] = '';
        }
        return params;
    };

    RESULT4D_APP.app.resetFocus = function(e) { e.component.blur(); };

    RESULT4D_APP.app.replacedecimal = function (value) {
        return value.toString().replace(/(\d)(?=(\d{3})+(?!\d))/g, "$1,")
    }

    RESULT4D_APP.app.onKeyPressData = function (info) {
        var event = info.jQueryEvent;
        if ((event.charCode >= 48 && event.charCode <= 57)
            || (event.keyCode >= 37 && event.keyCode <= 40)
            || event.keyCode == 8 || event.keyCode == 9) {
                
        }
        else {
            event.preventDefault();
            //info.stopPropogation();
            return false;
        }
    };

    RESULT4D_APP.app.parseParamsBeforeSend = function (params) {
        for (var prop in params) {
            if (params[prop] == '')
                params[prop] = '_';
        }
        return params;
    };

    RESULT4D_APP.app.navigate();

});
